Skip to content

Simulate opening a position on a market v2

GET
/markets-v2/{marketOnchainId}/simulate-open-position
curl --request GET \
--url 'https://api.ethos.network/api/v2/markets-v2/1/simulate-open-position?isPositive=true&paymentAmount=1&slippagePercentage=0.01'
marketOnchainId
required
integer
> 0 <= 9007199254740991
isPositive
required
boolean
paymentAmount
required
integer format: int64
slippagePercentage
number
default: 0.01 <= 0.5

Successful response

Media typeapplication/json
object
tokensMinted
required
integer format: int64
minTokensOut
required
integer format: int64
protocolFee
required
integer format: int64
effectivePrice
required
integer format: int64
trustPriceBefore
required
integer format: int64
trustPriceAfter
required
integer format: int64
priceImpactPct
required

Deprecated: use trustPriceBefore and trustPriceAfter.

number

Example generated

{
"tokensMinted": 1,
"minTokensOut": 1,
"protocolFee": 1,
"effectivePrice": 1,
"trustPriceBefore": 1,
"trustPriceAfter": 1,
"priceImpactPct": 1
}

Invalid input data

Media typeapplication/json
Invalid input data error (400)

The error information

object
message
required

The error message

string
code
required

The error code

string
issues

An array of issues that were responsible for the error

Array<object>
object
message
required
string

Example

{
"code": "BAD_REQUEST",
"message": "Invalid input data",
"issues": []
}

Not found

Media typeapplication/json
Not found error (404)

The error information

object
message
required

The error message

string
code
required

The error code

string
issues

An array of issues that were responsible for the error

Array<object>
object
message
required
string

Example

{
"code": "NOT_FOUND",
"message": "Not found",
"issues": []
}

Internal server error

Media typeapplication/json
Internal server error error (500)

The error information

object
message
required

The error message

string
code
required

The error code

string
issues

An array of issues that were responsible for the error

Array<object>
object
message
required
string

Example

{
"code": "INTERNAL_SERVER_ERROR",
"message": "Internal server error",
"issues": []
}